NX Open C++ Reference Guide
|
Represents a collection of Routing::BendCorner objects. More...
Classes | |
class | iterator |
Iterator for accessing the contents of the collection. More... | |
Public Types | |
enum | Type { TypeRadiusRatio, TypeTable } |
Option for creating a bend using a bend table or using radius or ratio. More... | |
Public Member Functions | |
NXOpen::Routing::BendCorner * | AssignCornerByBendRadius (NXOpen::Routing::ControlPoint *bendCrn, double bendRadius) |
This routine assigns a new bend corner to the given input bend corner object using bend radius. | |
NXOpen::Routing::BendCorner * | AssignCornerByBendRatio (NXOpen::Routing::ControlPoint *bendCrn, double bendRatio) |
This routine assigns a new bend corner to the given input bend corner object using bend ratio. | |
NXOpen::Routing::BendCorner * | AssignCornerByBendTable (NXOpen::Routing::ControlPoint *rcp, const NXString &bendTable) |
This routine assigns a bend corner to the given input RCP object using a bend table entry. | |
NXOpen::Routing::BendCorner * | AssignCornerByBendTable (NXOpen::Routing::ControlPoint *rcp, const char *bendTable) |
This routine assigns a bend corner to the given input RCP object using a bend table entry. | |
iterator | begin () |
Returns an iterator addressing the first element. | |
NXOpen::Routing::BendCorner * | Create (NXOpen::Routing::ControlPoint *rcp, bool useBendRatio, double bendRatio, double bendRadius) |
Create a bend corner object at a Control Point. | |
NXOpen::Routing::BendCorner * | CreateCorner (NXOpen::Routing::ControlPoint *rcp, NXOpen::Routing::CornerTypeBuilder::BendMethods bendMethod, double bendRatio, double bendRadius) |
Create a bend corner object at a Control Point. | |
iterator | end () |
Returns an iterator addressing one past the last element. | |
NXOpen::Routing::BendCorner * | GetBendAssociatedToSegment (NXOpen::Routing::ISegment *segment) |
Enquire the Bend Corner that this segment represents. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a collection of Routing::BendCorner objects.
To obtain an instance of this class, refer to Routing::RouteManager
Created in NX4.0.0.
NXOpen::Routing::BendCorner* NXOpen::Routing::BendCornerCollection::AssignCornerByBendRadius | ( | NXOpen::Routing::ControlPoint * | bendCrn, |
double | bendRadius | ||
) |
This routine assigns a new bend corner to the given input bend corner object using bend radius.
This "assignment" can involve the removal of an existing corner at this location and the creation of a new corner.
bendCrn | Input bend corner. |
bendRadius | Radius of bend corner arc. |
NXOpen::Routing::BendCorner* NXOpen::Routing::BendCornerCollection::AssignCornerByBendRatio | ( | NXOpen::Routing::ControlPoint * | bendCrn, |
double | bendRatio | ||
) |
This routine assigns a new bend corner to the given input bend corner object using bend ratio.
This "assignment" can involve the removal of an existing corner at this location and the creation of a new corner.
bendCrn | Input bend corner. |
bendRatio | Bend ratio must be greater than 0.5. |
NXOpen::Routing::BendCorner* NXOpen::Routing::BendCornerCollection::AssignCornerByBendTable | ( | NXOpen::Routing::ControlPoint * | rcp, |
const NXString & | bendTable | ||
) |
This routine assigns a bend corner to the given input RCP object using a bend table entry.
This "assignment" can involve the removal of an existing corner at this location and the creation of a new corner. The application view must be loaded before attempting to assign a bend corner of this type.
rcp | Control point to assign corner to. NULL not allowed. |
bendTable | The bend table entry that is used to create bend corner NOTE: The full Unicode character set is not supported for this parameter. |
NXOpen::Routing::BendCorner* NXOpen::Routing::BendCornerCollection::AssignCornerByBendTable | ( | NXOpen::Routing::ControlPoint * | rcp, |
const char * | bendTable | ||
) |
This routine assigns a bend corner to the given input RCP object using a bend table entry.
This "assignment" can involve the removal of an existing corner at this location and the creation of a new corner. The application view must be loaded before attempting to assign a bend corner of this type.
rcp | Control point to assign corner to. NULL not allowed. |
bendTable | The bend table entry that is used to create bend corner NOTE: The full Unicode character set is not supported for this parameter. |
iterator NXOpen::Routing::BendCornerCollection::begin | ( | ) |
Returns an iterator addressing the first element.
NXOpen::Routing::BendCorner* NXOpen::Routing::BendCornerCollection::Create | ( | NXOpen::Routing::ControlPoint * | rcp, |
bool | useBendRatio, | ||
double | bendRatio, | ||
double | bendRadius | ||
) |
Create a bend corner object at a Control Point.
Created in NX4.0.0.
License requirements : routing_base ("Routing Basic")
rcp | Route control point to bend. |
useBendRatio | TRUE: use bend ratio calculation, FALSE: use given radius |
bendRatio | Bend ratio only used if use_bend_ratio is TRUE. Must be greater than 0.5. |
bendRadius | Radius of bend corner arc, only used if use_bend_ratio is FALSE. Must be greater than 0. |
NXOpen::Routing::BendCorner* NXOpen::Routing::BendCornerCollection::CreateCorner | ( | NXOpen::Routing::ControlPoint * | rcp, |
NXOpen::Routing::CornerTypeBuilder::BendMethods | bendMethod, | ||
double | bendRatio, | ||
double | bendRadius | ||
) |
Create a bend corner object at a Control Point.
rcp | Route control point to bend. |
bendMethod | Enumerated bend method. |
bendRatio | Bend ratio is used only if bend method is set to Routing::CornerTypeBuilder::BendMethodsRatioToDiameter . Must be greater than 0.5. |
bendRadius | Radius of bend corner arc, used only if bend method is set to Routing::CornerTypeBuilder::BendMethodsRadius . Must be greater than 0. |
iterator NXOpen::Routing::BendCornerCollection::end | ( | ) |
Returns an iterator addressing one past the last element.
NXOpen::Routing::BendCorner* NXOpen::Routing::BendCornerCollection::GetBendAssociatedToSegment | ( | NXOpen::Routing::ISegment * | segment | ) |
Enquire the Bend Corner that this segment represents.
(NULL can be returned, indicating that this segment does not represent a Bend Corner.) @return Bend Corner that segment represents (NULL can be returned,indicating that segment does not represent a Bend Corner).
Created in NX4.0.0.
License requirements : routing_base ("Routing Basic")
segment | Segment being queried for the Bend Corner it represents. |
tag_t NXOpen::Routing::BendCornerCollection::Tag | ( | ) | const |
Returns the tag of this object.